summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkeenblade <keenblade@gmail.com>2009-07-11 18:04:10 +0000
committerkeenblade <keenblade@gmail.com>2009-07-11 18:04:10 +0000
commitefc738a1bc6c0d671cb5012bb2d4b79c032944e2 (patch)
tree81eb0cc687301e818c9918ea5225fd5a00bc0563 /games-fps
parentnet-nntp/nzb: Drop qt metapackage from dependencies, EAPI2fy it, clean up (diff)
downloadsunrise-efc738a1bc6c0d671cb5012bb2d4b79c032944e2.tar.gz
sunrise-efc738a1bc6c0d671cb5012bb2d4b79c032944e2.tar.bz2
sunrise-efc738a1bc6c0d671cb5012bb2d4b79c032944e2.zip
games-fps/tremfusion: Initial ebuild. Thanks to Tommy[D] and chithead at #gentoo-sunrise and tremfusion dev Amanieu
svn path=/sunrise/; revision=8744
Diffstat (limited to 'games-fps')
-rw-r--r--games-fps/tremfusion/ChangeLog9
-rw-r--r--games-fps/tremfusion/Manifest4
-rw-r--r--games-fps/tremfusion/metadata.xml8
-rw-r--r--games-fps/tremfusion/tremfusion-9999.ebuild83
4 files changed, 104 insertions, 0 deletions
diff --git a/games-fps/tremfusion/ChangeLog b/games-fps/tremfusion/ChangeLog
new file mode 100644
index 000000000..2679c968b
--- /dev/null
+++ b/games-fps/tremfusion/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for games-fps/tremfusion
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 11 Jul 2009; keenblade <keenblade@gmail.com> +tremfusion-9999.ebuild,
+ +metadata.xml:
+ Initial ebuild. Thanks to Tommy[D] and chithead at #gentoo-sunrise and
+ tremfusion dev Amanieu
+
diff --git a/games-fps/tremfusion/Manifest b/games-fps/tremfusion/Manifest
new file mode 100644
index 000000000..ac14bcad2
--- /dev/null
+++ b/games-fps/tremfusion/Manifest
@@ -0,0 +1,4 @@
+DIST z-tremfusion-menu-0.99r3.pk3 1190404 RMD160 76247b2f7c7368b6801ef5b0b8893a689f5fcad1 SHA1 4da258d7d14074b399755a52c5fcfbd951de192b SHA256 b65ebe62cacf0a58f5cad0a6868dda1ae59f739971132bde25e9de2d8d0f385e
+EBUILD tremfusion-9999.ebuild 2280 RMD160 642987e4ffadd7e731e3ed13684f027e50163b90 SHA1 d1128626ca9873f54eae0dee32d7e146c5c32e9d SHA256 da448856863b9a635fc4c63cad5cfd9dfa45b44684bf13aecbda6b6c0676b61b
+MISC ChangeLog 309 RMD160 5d76dadaf3b9df27b776591b1e8ece6e1179ebd0 SHA1 ab6032c10579d6083015a0cbf47b251de80c50f0 SHA256 dec44fb7ab1f6df1c11c6f226234cf9cba165ba947112aa79bc341278c6395ee
+MISC metadata.xml 248 RMD160 1e3426758f6854e97def63bf51f4d17e74078117 SHA1 06019788f07373e99b6d069efb6e6487e82a6475 SHA256 91af0a3b578ec1d798949c32d765db902b4d3d1aeab0e6e71349a289261002bb
diff --git a/games-fps/tremfusion/metadata.xml b/games-fps/tremfusion/metadata.xml
new file mode 100644
index 000000000..a6816b61d
--- /dev/null
+++ b/games-fps/tremfusion/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>maintainer-wanted</herd>
+ <use>
+ <flag name='tty'>Enables text based game client</flag>
+ </use>
+</pkgmetadata>
diff --git a/games-fps/tremfusion/tremfusion-9999.ebuild b/games-fps/tremfusion/tremfusion-9999.ebuild
new file mode 100644
index 000000000..66bc412e2
--- /dev/null
+++ b/games-fps/tremfusion/tremfusion-9999.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial toolchain-funcs
+
+MENU_PK3_VER="0.99r3"
+DESCRIPTION="An enhanced modification of the free software first person shooter Tremulous, based on ioquake3"
+HOMEPAGE="https://www.tremfusion.net/"
+EHG_REVISION="trem-compat"
+EHG_REPO_URI="http://tremfusion.net/hg/${PN}"
+EHG_PROJECT="${P}"
+SRC_URI="http://www.tremfusion.net/downloads/z-tremfusion-menu-${MENU_PK3_VER}.pk3"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dedicated openal +opengl tty +vorbis"
+
+UIDEPEND="openal? ( media-libs/openal )
+ media-libs/libsdl
+ vorbis? ( media-libs/libogg media-libs/libvorbis )
+ virtual/opengl
+ sys-libs/ncurses"
+RDEPEND="opengl? ( ${UIDEPEND} )
+ !opengl? ( !dedicated? ( ${UIDEPEND} ) )
+ media-libs/freetype
+ net-misc/curl
+ || ( games-fps/tremulous games-fps/tremulous-bin )"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ buildit() { use $1 && echo 1 || echo 0 ; }
+}
+
+src_prepare() {
+ sed -i -e "s:release run-tremfusion.sh:run-tremfusion.sh:" Makefile \
+ || die "sed failed"
+}
+
+src_compile() {
+# adjusting arch to x86_64 if arch is amd64
+ use amd64 && ARCH=x86_64
+
+ emake \
+ BUILD_CLIENT=$(buildit opengl) \
+ BUILD_SERVER=$(buildit dedicated) \
+ BUILD_CLIENT_TTY=$(buildit tty) \
+ BUILD_GAME_SO=0 \
+ BUILD_GAME_QVM=0 \
+ CC="$(tc-getCC)" \
+ DEFAULT_BASEDIR="${GAMES_DATADIR}/${PN}" \
+ USE_CODEC_VORBIS=$(buildit vorbis) \
+ USE_OPENAL=$(buildit openal) \
+ USE_LOCAL_HEADERS=0 \
+ USE_SCM_VERSION=1 \
+ || die "emake failed"
+}
+
+src_install() {
+ emake \
+ BUILD_CLIENT=$(buildit opengl) \
+ BUILD_SERVER=$(buildit dedicated) \
+ BUILD_CLIENT_TTY=$(buildit tty) \
+ INSTALL_PREFIX=/usr BUILDROOT="${D}" BINDIR="${GAMES_BINDIR}" DATADIR="${GAMES_DATADIR}" \
+ install || die "emake install failed"
+ insinto "${GAMES_DATADIR}"/${PN}/${PN}/
+ doins "${DISTDIR}"/z-tremfusion-menu-${MENU_PK3_VER}.pk3 || die "doins failed"
+ dodoc README CC || die
+ doicon "${WORKDIR}"/tremfusion/misc/tremfusion.png
+ domenu misc/tremfusion.desktop
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ elog "This is Tremfusion live mercurial ebuild"
+ elog "This package allows you to play on Tremulous servers"
+}